MCP Tools Reference: oracledatabase.googleapis.com

Tool: create_goldengate_connection

Create a Goldengate Connection.

The following code sample shows how to use curl to call the create_goldengate_connection MCP tool.

Curl Request
curl --location 'https://oracledatabase.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "create_goldengate_connection",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for CreateGoldengateConnection.

CreateGoldengateConnectionRequest

JSON representation
{
  "parent": string,
  "goldengateConnection": {
    object (GoldengateConnection)
  },
  "goldengateConnectionId": string
}
Fields
parent

string

Required. The resource name of the project to create the Goldengate Connection in. Format: projects/{project}/locations/{location}

goldengateConnection

object (GoldengateConnection)

Required. The Goldengate Connection to create.

goldengateConnectionId

string

Required. The ID to use for the Goldengate Connection that is being created.

GoldengateConnection

JSON representation
{
  "name": string,
  "displayName": string,
  "description": string,
  "connectionType": string,

  // Union field connection_details can be only one of the following:
  "oracleConnectionProperties": {
    object (GoldengateOracleConnectionProperties)
  },
  "goldengateConnectionProperties": {
    object (GoldengateGoldengateConnectionProperties)
  },
  "genericConnectionProperties": {
    object (GoldengateGenericConnectionProperties)
  },
  "googleCloudStorageConnectionProperties": {
    object (GoldengateGoogleCloudStorageConnectionProperties)
  },
  "googleBigQueryConnectionProperties": {
    object (GoldengateGoogleBigQueryConnectionProperties)
  },
  "mysqlConnectionProperties": {
    object (GoldengateMysqlConnectionProperties)
  },
  "kafkaConnectionProperties": {
    object (GoldengateKafkaConnectionProperties)
  },
  "kafkaSchemaRegistryConnectionProperties": {
    object (GoldengateKafkaSchemaRegistryConnectionProperties)
  },
  "ociObjectStorageConnectionProperties": {
    object (GoldengateOciObjectStorageConnectionProperties)
  },
  "azureDataLakeStorageConnectionProperties": {
    object (GoldengateAzureDataLakeStorageConnectionProperties)
  },
  "azureSynapseAnalyticsConnectionProperties": {
    object (GoldengateAzureSynapseAnalyticsConnectionProperties)
  },
  "postgresqlConnectionProperties": {
    object (GoldengatePostgresqlConnectionProperties)
  },
  "microsoftSqlserverConnectionProperties": {
    object (GoldengateMicrosoftSqlserverConnectionProperties)
  },
  "amazonS3ConnectionProperties": {
    object (GoldengateAmazonS3ConnectionProperties)
  },
  "hdfsConnectionProperties": {
    object (GoldengateHdfsConnectionProperties)
  },
  "javaMessageServiceConnectionProperties": {
    object (GoldengateJavaMessageServiceConnectionProperties)
  },
  "mongodbConnectionProperties": {
    object (GoldengateMongodbConnectionProperties)
  },
  "oracleNosqlConnectionProperties": {
    object (GoldengateOracleNosqlConnectionProperties)
  },
  "snowflakeConnectionProperties": {
    object (GoldengateSnowflakeConnectionProperties)
  },
  "amazonRedshiftConnectionProperties": {
    object (GoldengateAmazonRedshiftConnectionProperties)
  },
  "elasticsearchConnectionProperties": {
    object (GoldengateElasticsearchConnectionProperties)
  },
  "amazonKinesisConnectionProperties": {
    object (GoldengateAmazonKinesisConnectionProperties)
  },
  "db2ConnectionProperties": {
    object (GoldengateDb2ConnectionProperties)
  },
  "redisConnectionProperties": {
    object (GoldengateRedisConnectionProperties)
  },
  "databricksConnectionProperties": {
    object (GoldengateDatabricksConnectionProperties)
  },
  "googlePubsubConnectionProperties": {
    object (GoldengateGooglePubsubConnectionProperties)
  },
  "microsoftFabricConnectionProperties": {
    object (GoldengateMicrosoftFabricConnectionProperties)
  },
  "oracleAiDataPlatformConnectionProperties": {
    object (GoldengateOracleAIDataPlatformConnectionProperties)
  },
  "icebergConnectionProperties": {
    object (GoldengateIcebergConnectionProperties)
  }
  // End of list of possible types for union field connection_details.
}
Fields
name

string

Identifier. The name of the GoldengateConnection resource in the following format: projects/{project}/locations/{region}/goldengateConnections/{goldengate_connection}

displayName

string

Required. The display name for the GoldengateConnection.

description

string

Optional. The description of the GoldengateConnection.

connectionType

string

Required. The connection type.

Union field connection_details. The connection details. connection_details can be only one of the following:
oracleConnectionProperties

object (GoldengateOracleConnectionProperties)

Properties for an Oracle Database connection.

goldengateConnectionProperties

object (GoldengateGoldengateConnectionProperties)

Properties for a Goldengate connection.

genericConnectionProperties

object (GoldengateGenericConnectionProperties)

Properties for a Generic connection.

googleCloudStorageConnectionProperties

object (GoldengateGoogleCloudStorageConnectionProperties)

Properties for a Google Cloud Storage connection.

googleBigQueryConnectionProperties

object (GoldengateGoogleBigQueryConnectionProperties)

Properties for a Google BigQuery connection.

mysqlConnectionProperties

object (GoldengateMysqlConnectionProperties)

Properties for a MySQL connection.

kafkaConnectionProperties

object (GoldengateKafkaConnectionProperties)

Properties for a Kafka connection.

kafkaSchemaRegistryConnectionProperties

object (GoldengateKafkaSchemaRegistryConnectionProperties)

Properties for a Kafka Schema Registry connection.

ociObjectStorageConnectionProperties

object (GoldengateOciObjectStorageConnectionProperties)

Properties for an OCI Object Storage connection.

azureDataLakeStorageConnectionProperties

object (GoldengateAzureDataLakeStorageConnectionProperties)

Properties for an Azure Data Lake Storage connection.

azureSynapseAnalyticsConnectionProperties

object (GoldengateAzureSynapseAnalyticsConnectionProperties)

Properties for an Azure Synapse Analytics connection.

postgresqlConnectionProperties

object (GoldengatePostgresqlConnectionProperties)

Properties for a PostgreSQL connection.

microsoftSqlserverConnectionProperties

object (GoldengateMicrosoftSqlserverConnectionProperties)

Properties for a Microsoft SQL Server connection.

amazonS3ConnectionProperties

object (GoldengateAmazonS3ConnectionProperties)

Properties for an Amazon S3 connection.

hdfsConnectionProperties

object (GoldengateHdfsConnectionProperties)

Properties for an HDFS connection.

javaMessageServiceConnectionProperties

object (GoldengateJavaMessageServiceConnectionProperties)

Properties for a Java Message Service connection.

mongodbConnectionProperties

object (GoldengateMongodbConnectionProperties)

Properties for a MongoDB connection.

oracleNosqlConnectionProperties

object (GoldengateOracleNosqlConnectionProperties)

Properties for an Oracle NoSQL connection.

snowflakeConnectionProperties

object (GoldengateSnowflakeConnectionProperties)

Properties for a Snowflake connection.

amazonRedshiftConnectionProperties

object (GoldengateAmazonRedshiftConnectionProperties)

Properties for an Amazon Redshift connection.

elasticsearchConnectionProperties

object (GoldengateElasticsearchConnectionProperties)

Properties for an Elasticsearch connection.

amazonKinesisConnectionProperties

object (GoldengateAmazonKinesisConnectionProperties)

Properties for an Amazon Kinesis connection.

db2ConnectionProperties

object (GoldengateDb2ConnectionProperties)

Properties for a DB2 connection.

redisConnectionProperties

object (GoldengateRedisConnectionProperties)

Properties for a Redis connection.

databricksConnectionProperties

object (GoldengateDatabricksConnectionProperties)

Properties for a Databricks connection.

googlePubsubConnectionProperties

object (GoldengateGooglePubsubConnectionProperties)

Properties for a Google Pub/Sub connection.

microsoftFabricConnectionProperties

object (GoldengateMicrosoftFabricConnectionProperties)

Properties for a Microsoft Fabric connection.

oracleAiDataPlatformConnectionProperties

object (GoldengateOracleAIDataPlatformConnectionProperties)

Properties for an Oracle AI Data Platform connection.

icebergConnectionProperties

object (GoldengateIcebergConnectionProperties)

Properties for an Iceberg connection.

GoldengateOracleConnectionProperties

JSON representation
{
  "username": string,
  "passwordSecretVersion": string,
  "connectionString": string
}
Fields
username

string

Username for the connection.

passwordSecretVersion

string

Password for the connection.

connectionString

string

Connection string.

GoldengateGoldengateConnectionProperties

JSON representation
{
  "username": string,
  "passwordSecretVersion": string,
  "url": string
}
Fields
username

string

Username for the connection.

passwordSecretVersion

string

Password for the connection.

url

string

URL for the connection.

GoldengateGenericConnectionProperties

JSON representation
{
  "host": string
}
Fields
host

string

Host for the connection.

GoldengateMysqlConnectionProperties

JSON representation
{
  "username": string,
  "passwordSecretVersion": string,
  "host": string,
  "port": integer,
  "databaseName": string
}
Fields
username

string

Username for the connection.

passwordSecretVersion

string

Password for the connection.

host

string

Host for the connection.

port

integer

Port for the connection.

databaseName

string

Database name.

GoldengateKafkaConnectionProperties

JSON representation
{
  "bootstrapServers": [
    string
  ]
}
Fields
bootstrapServers[]

string

Bootstrap servers.

GoldengateKafkaSchemaRegistryConnectionProperties

JSON representation
{
  "url": string
}
Fields
url

string

Schema registry URL.

GoldengateOciObjectStorageConnectionProperties

JSON representation
{
  "tenancyId": string,
  "region": string,
  "userId": string
}
Fields
tenancyId

string

Tenancy ID.

region

string

Region.

userId

string

User ID.

GoldengateAzureDataLakeStorageConnectionProperties

JSON representation
{
  "accountName": string
}
Fields
accountName

string

Account name.

GoldengateAzureSynapseAnalyticsConnectionProperties

JSON representation
{
  "connectionString": string
}
Fields
connectionString

string

Connection string.

GoldengatePostgresqlConnectionProperties

JSON representation
{
  "username": string,
  "passwordSecretVersion": string,
  "host": string,
  "port": integer,
  "databaseName": string
}
Fields
username

string

Username for the connection.

passwordSecretVersion

string

Password for the connection.

host

string

Host for the connection.

port

integer

Port for the connection.

databaseName

string

Database name.

GoldengateMicrosoftSqlserverConnectionProperties

JSON representation
{
  "username": string,
  "passwordSecretVersion": string,
  "host": string,
  "port": integer,
  "databaseName": string
}
Fields
username

string

Username for the connection.

passwordSecretVersion

string

Password for the connection.

host

string

Host for the connection.

port

integer

Port for the connection.

databaseName

string

Database name.

GoldengateMongodbConnectionProperties

JSON representation
{
  "connectionString": string
}
Fields
connectionString

string

Connection string.

GoldengateSnowflakeConnectionProperties

JSON representation
{
  "connectionUrl": string,
  "username": string,
  "passwordSecretVersion": string,
  "role": string,
  "warehouse": string
}
Fields
connectionUrl

string

Connection URL.

username

string

Username for the connection.

passwordSecretVersion

string

Password for the connection.

role

string

Role.

warehouse

string

Warehouse.

GoldengateAmazonRedshiftConnectionProperties

JSON representation
{
  "connectionUrl": string,
  "username": string,
  "passwordSecretVersion": string
}
Fields
connectionUrl

string

Connection URL.

username

string

Username for the connection.

passwordSecretVersion

string

Password for the connection.

GoldengateDb2ConnectionProperties

JSON representation
{
  "username": string,
  "passwordSecretVersion": string,
  "host": string,
  "port": integer,
  "databaseName": string
}
Fields
username

string

Username for the connection.

passwordSecretVersion

string

Password for the connection.

host

string

Host for the connection.

port

integer

Port for the connection.

databaseName

string

Database name.

GoldengateDatabricksConnectionProperties

JSON representation
{
  "connectionUrl": string
}
Fields
connectionUrl

string

Connection URL.

Output Schema

This resource represents a long-running operation that is the result of a network API call.

Operation

JSON representation
{
  "name": string,
  "metadata": {
    "@type": string,
    field1: ...,
    ...
  },
  "done": boolean,

  // Union field result can be only one of the following:
  "error": {
    object (Status)
  },
  "response": {
    "@type": string,
    field1: ...,
    ...
  }
  // End of list of possible types for union field result.
}
Fields
name

string

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadata

object

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

done

boolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following:
error

object (Status)

The error result of the operation in case of failure or cancellation.

response

object

The normal, successful response of the operation. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

Any

JSON representation
{
  "typeUrl": string,
  "value": string
}
Fields
typeUrl

string

Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name.

Example: type.googleapis.com/google.protobuf.StringValue

This string must contain at least one / character, and the content after the last / must be the fully-qualified name of the type in canonical form, without a leading dot. Do not write a scheme on these URI references so that clients do not attempt to contact them.

The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last / to identify the type. type.googleapis.com/ is a common default prefix that some legacy implementations require. This prefix does not indicate the origin of the type, and URIs containing it are not expected to respond to any requests.

All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): /-.~_!$&()*+,;=. Despite our allowing percent encodings, implementations should not unescape them to prevent confusion with existing parsers. For example, type.googleapis.com%2FFoo should be rejected.

In the original design of Any, the possibility of launching a type resolution service at these type URLs was considered but Protobuf never implemented one and considers contacting these URLs to be problematic and a potential security issue. Do not attempt to contact type URLs.

value

string (bytes format)

Holds a Protobuf serialization of the type described by type_url.

A base64-encoded string.

Status

JSON representation
{
  "code": integer,
  "message": string,
  "details": [
    {
      "@type": string,
      field1: ...,
      ...
    }
  ]
}
Fields
code

integer

The status code, which should be an enum value of google.rpc.Code.

message

string

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.

details[]

object

A list of messages that carry the error details. There is a common set of message types for APIs to use.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌